Name:           librepository
Version:        1.1.6
Release:        %mkrel 17
Summary:        Hierarchical repository abstraction layer
License:        LGPLv2+
Group:          System/Libraries
URL:            https://reporting.pentaho.org/
Source0:        https://downloads.sourceforge.net/jfreereport/%{name}-%{version}.zip
Patch0:         %{name}-1.1.2-fix-build.patch
Patch1:         %{name}-1.1.2.java11.patch
Patch2:		%{name}-1.1.6-remove-antcontrib-support.patch
Patch3:         %{name}-1.1.3-remove-commons-logging.patch
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  libbase
Requires:       java
Requires:       jpackage-utils
Requires:       libbase
BuildArch:      noarch

%description
LibRepository provides a simple abstraction layer to access bulk content that
is organized in a hierarchical layer.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -c
%patch0 -p0 -b .build
%patch1 -p1 -b .java11
%patch2 -p1
%patch3 -p1
find . -name "*.jar" -exec rm -f {} \;
mkdir -p lib
build-jar-repository -s -p lib libbase
cd lib
ln -s %{_javadir}/ant ant-contrib

%build
ant jar javadoc
for file in README.txt licence-LGPL.txt ChangeLog.txt; do
    tr -d '\r' < $file > $file.new
    mv $file.new $file
done

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p ./dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp bin/javadoc/docs/api $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%doc licence-LGPL.txt README.txt ChangeLog.txt
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Mon May 08 2023 martinw <martinw> 1.1.6-17.mga9
+ Revision: 1956191
- Replace apache-commons-logging with java.util.logging (mga#29556 & mga#31021)

* Wed Sep 21 2022 neoclust <neoclust> 1.1.6-16.mga9
+ Revision: 1891154
- Fix build with jdk 17

* Sun Mar 27 2022 umeabot <umeabot> 1.1.6-15.mga9
+ Revision: 1828990
- Mageia 9 Mass Rebuild

* Thu Jan 14 2021 neoclust <neoclust> 1.1.6-14.mga8
+ Revision: 1671764
- Remove ant-contrib support

* Tue Sep 08 2020 daviddavid <daviddavid> 1.1.6-13.mga8
+ Revision: 1623442
- allow rebuild with java 11
- Rebuilt for JDK-11
- disable failing javadoc parts
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 11 2020 umeabot <umeabot> 1.1.6-12.mga8
+ Revision: 1491092
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1.6-11.mga7
+ Revision: 1262996
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.1.6-10.mga6
+ Revision: 950457
- Mageia 6 Mass Rebuild

* Fri Oct 31 2014 pterjan <pterjan> 1.1.6-9.mga5
+ Revision: 794892
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.6-8.mga5
+ Revision: 742774
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.6-7.mga5
+ Revision: 681759
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.6-6.mga4
+ Revision: 531323
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 joequant <joequant> 1.1.6-5.mga4
+ Revision: 463057
- remove ant-nodeps

* Sun Feb 10 2013 lmenut <lmenut> 1.1.6-4.mga3
+ Revision: 397720
- move java-rpmbuild in BuildRequires (mga #8270)

* Sat Jan 12 2013 umeabot <umeabot> 1.1.6-3.mga3
+ Revision: 358105
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 21 2012 kamil <kamil> 1.1.6-2.mga2
+ Revision: 198941
- rebuild against new libbase-1.1.6

* Sat Jan 21 2012 kamil <kamil> 1.1.6-1.mga2
+ Revision: 198925
- change the javadoc subpackage group to Development/Java
- new version 1.1.6
- drop gcj support
- rediff and rename patch to fix-build

* Fri Mar 18 2011 dmorgan <dmorgan> 1.1.3-2.mga1
+ Revision: 74320
- Really build without gcj

* Wed Jan 26 2011 dmorgan <dmorgan> 1.1.3-1.mga1
+ Revision: 40160
- Adapt for mageia
- imported package librepository


* Thu Dec 02 2009 Caolan McNamara <caolanm@redhat.com> 1.1.3-1
- latest version

* Tue Nov 17 2009 Caolan McNamara <caolanm@redhat.com> 1.1.2-1
- latest version

* Fri Jul 24 2009 Caolan McNamara <caolanm@redhat.com> 1.0.0-2.OOo31
- make javadoc no-arch when building as arch-dependant aot

* Mon Mar 16 2009 Caolan McNamara <caolanm@redhat.com> 1.0.0-1.OOo31
- Post-release tuned for OpenOffice.org

* Mon Mar 09 2009 Caolan McNamara <caolanm@redhat.com> 0.2.0-1
- latest version

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May 07 2008 Caolan McNamara <caolanm@redhat.com> 0.1.6-1
- initial fedora import
